Skip to main content
`Ctrl`+`K`

# PetscSectionSetFieldName

Sets the name of a field in the `PetscSection`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetFieldName(PetscSection s, PetscInt field, const char fieldName[])

Not Collective

## Input Parameters

- s - the `PetscSection`

- field - the field number

- fieldName - the field name

## Note

Will error if the field number is out of range

## See Also

PetscSection, `PetscSectionGetFieldName()`, `PetscSectionSetNumFields()`, `PetscSectionGetNumFields()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

## Examples

src/ts/tutorials/ex52.c
src/dm/impls/plex/tutorials/ex14.c
src/ts/tutorials/ex18.c
src/dm/impls/plex/tutorials/ex14f90.F90
src/dm/impls/plex/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex15.c
src/dm/impls/plex/tutorials/ex16.c
src/dm/impls/plex/tutorials/ex1f90.F90

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages